classification
Title: friendly errors for UAC misbehavior in windows installers
Type: Stage: resolved
Components: Distutils Versions: Python 3.2, Python 2.7, 3rd party
process
Status: closed Resolution: out of date
Dependencies: Superseder:
Assigned To: tarek Nosy List: dstufft, eric.araujo, steve.dower, tarek, techtonik
Priority: normal Keywords: patch

Created on 2010-06-05 16:44 by techtonik, last changed 2021-02-03 18:16 by steve.dower. This issue is now closed.

Files
File name Uploaded Description Edit
wget-0.6.win32.force.exe techtonik, 2010-06-05 16:44
8908.windows.uac.research.comments.diff techtonik, 2010-06-05 16:48
Messages (6)
msg107149 - (view) Author: anatoly techtonik (techtonik) Date: 2010-06-05 16:44
The problem investigated in issue8870 detected that bdist_wininst installers fail in Vista and Windows 7 with enabled UAC (user access control) when run from local drives with non-MS file systems and from network drives.

The error message returned in this case is not explanative at all.
"Failed to start elevated process (ShellExecute returned 5)"

Further investigation revealed that if network samba share requires authentication, and authentication passes, then the installer won't fail. Unfortunately, I can not setup network access to unauthenticated Samba shares right now to test behavior, but I attach installer generated with --user-access-control=force in case somebody can help.

The error message needs to be improved to give users immediate hint what Windows UAC doesn't allow to run privileged executables from non-MS file systems and/or network drives.
msg107150 - (view) Author: anatoly techtonik (techtonik) Date: 2010-06-05 16:48
A proper user error message requires investigation of behavior on anonymous samba shares. Attaching patch to install.c with backlinks to relevant ticket descriptions.
msg107237 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2010-06-06 21:55
Side remarks about tracker process:
1) I’m not sure attaching binary executable files is helpful; if I ran Windows, I wouldn’t run them.
2) Select the 3.3 version for bugs that won’t be fixed to 3.2. Selecting both is redundant: 3.2 is current py3k trunk, it’s not a different branch than 3.3, in contrary to 2.6 and 2.7.
HTH
msg117688 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2010-09-30 01:35
Can you please tell if this still applies now that distutils has been reverted to its previous stable state?  Can you test with distutils2?  Thanks in advance.
msg221241 - (view) Author: Mark Lawrence (BreamoreBoy) * Date: 2014-06-22 09:52
The patches cannot be used as the OP hasn't signed the CLA.
msg386306 - (view) Author: Steve Dower (steve.dower) * (Python committer) Date: 2021-02-03 18:16
Distutils is now deprecated (see PEP 632) and all tagged issues are being closed. From now until removal, only release blocking issues will be considered for distutils.

If this issue does not relate to distutils, please remove the component and reopen it. If you believe it still requires a fix, most likely the issue should be re-reported at https://github.com/pypa/setuptools
History
Date User Action Args
2021-02-03 18:16:23steve.dowersetstatus: open -> closed

nosy: + steve.dower
messages: + msg386306

resolution: out of date
stage: resolved
2019-03-15 23:38:20BreamoreBoysetnosy: - BreamoreBoy
2014-06-22 09:52:55BreamoreBoysetnosy: + dstufft, BreamoreBoy
messages: + msg221241
components: - Distutils2
2010-09-30 01:35:41eric.araujosetmessages: + msg117688
versions: + 3rd party
2010-06-11 02:21:48r.david.murraylinkissue8870 superseder
2010-06-06 21:55:23eric.araujosetnosy: + eric.araujo

messages: + msg107237
versions: - Python 3.3
2010-06-05 16:48:57techtoniksettitle: friendly errors for UAC errors in windows installers -> friendly errors for UAC misbehavior in windows installers
2010-06-05 16:48:17techtoniksetfiles: + 8908.windows.uac.research.comments.diff
keywords: + patch
messages: + msg107150
2010-06-05 16:44:59techtonikcreate